|

Get a user's bank transactions

get/users/{fp_id}/linked_bank_transactions
Preview
External ID
Locked
Fetch transactions for a given user.

Request

Path parameters

fp_id·

string

Query parameters

account_ids·

optional array of strings

An optional list of account IDs to filter the results (comma separated)
end_date·

optional string

The latest date for which data should be returned, formatted as YYYY-MM-DD
page·

optional integer

The page number to return, defaults to 1
size·

optional integer

The number of results per page, max 100
start_date·

optional string

The earliest date for which data should be returned, formatted as YYYY-MM-DD

Response

page·

integer

The page number of the current page
size·

integer

The number of results per page
total·

integer

The total number of transactions
transactions·

array of objects

The list of transactions
account_id·

string

The account ID
amount·

string

The transaction amount
category·

optional string

The transaction category (deprecated) Use enrichment instead

currency·

string

The ISO-4217 currency code of the transaction
date·

string

The date of the transaction, in ISO-8601 format
datetime·

optional string

If the institution has provided the actual time of the transaction, this field contains the full date and time of the transaction, in ISO-8601 format. If the time is not available, this field will be null.Note that the time is generally reported in the timezone of the institution or the account holder.

description·

optional string

The transaction description (cleaned and normalized)
enrichment·

optional object

The transaction enrichment
pending·

boolean

Whether the transaction is pending
raw_description·

optional string

The raw description from the institution
transaction_id·

string

The transaction ID
type·

string

The type of transaction

Allowed values:

debit
credit
GET /users/{fp_id}/linked_bank_transactions
1curl https://api.onefootprint.com/users/{fp_id}/linked_bank_transactions \
2  -u sk_test_xxxxx:
Response example
{
  "page": 1,
  "size": 25,
  "total": 100,
  "transactions": [
    {
      "account_id": "acc_12345678",
      "amount": "42.99",
      "category": "food_and_drink",
      "currency": "USD",
      "date": "2023-02-16",
      "datetime": "2023-05-15T14:30:00Z",
      "description": "Starbucks Coffee",
      "enrichment": {
        "category": {
          "confidence": "95",
          "value": "banking"
        },
        "merchant": {
          "confidence": 95,
          "id": "starbucks",
          "logo": "https://example.com/starbucks.png",
          "name": "Starbucks"
        },
        "processor": {
          "confidence": 95,
          "id": "starbucks",
          "logo": "https://example.com/starbucks.png",
          "name": "Starbucks"
        },
        "subcategory": {
          "confidence": "95",
          "value": "account_fees_and_other_bank_charges"
        }
      },
      "pending": false,
      "raw_description": "POS PURCHASE STARBUCKS STORE",
      "transaction_id": "txn_abcdefgh1234",
      "type": "debit"
    },
    {
      "account_id": "acc_12345678",
      "amount": "42.99",
      "category": "food_and_drink",
      "currency": "USD",
      "date": "2023-02-16",
      "datetime": "2023-05-15T14:30:00Z",
      "description": "Starbucks Coffee",
      "enrichment": {
        "category": {
          "confidence": "95",
          "value": "banking"
        },
        "merchant": {
          "confidence": 95,
          "id": "starbucks",
          "logo": "https://example.com/starbucks.png",
          "name": "Starbucks"
        },
        "processor": {
          "confidence": 95,
          "id": "starbucks",
          "logo": "https://example.com/starbucks.png",
          "name": "Starbucks"
        },
        "subcategory": {
          "confidence": "95",
          "value": "account_fees_and_other_bank_charges"
        }
      },
      "pending": false,
      "raw_description": "POS PURCHASE STARBUCKS STORE",
      "transaction_id": "txn_abcdefgh1234",
      "type": "debit"
    }
  ]
}